<template>
  <div id="app">
    <PhotoComponent v-for="item in items" v-bind:object="item" v-bind:key="item.id"/>
  </div>
</template>

<script>

import PhotoComponent from "@/components/PhotoComponent";

export default {
  name: 'App',
  components: {
    PhotoComponent,
  },
  data() {
    return {
      items: {}
    }
  },
  async beforeMount() {
    const photo = await (await fetch('https://jsonplaceholder.typicode.com/photos?_limit=10')).json()
    this.items = {...photo}
  }
}
</script>

<style>

</style>
